> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://ups.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ups.ferndocs.com/_mcp/server.

# Delete the child shipment 

DELETE https://wwwcie.ups.com/api/ship/v1/child-shipment/{shipment-gccn}/{tracking-number}

 This is used to delete the child shipment record from the database

Reference: https://ups.ferndocs.com/api-reference/world-ease-shipment-management/world-ease-shipment-management-shipment/delete-child-shipment

## Authentication

- `Authorization` header (bearer token, required) — Find your Client ID and Secret on your app info page. 1. Select "Try It" 2. In the Security section enter your Client ID and Secret 3. Select "Request Token" 4. Enter any additional information in the Body and Parameters sections 5. Select "Send" to execute your API request"

## Servers

- `https://wwwcie.ups.com/api/ship/v1` (Customer Integration Environment, default)
- `https://onlinetools.ups.com/api/ship/v1` (Production)

## Request

### Path parameters

- `shipment-gccn` (string, required) — The unique identifier of the shipment to identify the master shipment. It is also known as GCCN.
- `trackingNumber` (string, required) — The identifier of the shipment to identify the child shipment. It is also known as 1Z Tracking Number.
- `version` (enum, required, default: v1) — Indicates WorldEase Shipment Management API to display the new release features
  - Allowed values: `v1`
- `tracking-number` (string, required)

### Headers

- `transId` (string, required) — Client generated id which is treated as the Transaction ID
- `transactionSrc` (string, required) — An identifier of the client/source application that is making the request.Length 512

## Response

### 200

Successful Operation

- `code` (string, required) — Identifies the success or failure of the transaction. 1 = Successful
- `message` (string, required) — Succesful text message

## Errors

### 400 Bad Request Error

Missing required values or incorrect values or validation fails

- `errors` (list of Error, required) — error payload - array containing one or more Errors

### 401 Unauthorized Error

Unauthorized

- `errors` (list of Error, required) — error payload - array containing one or more Errors

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — error payload - array containing one or more Errors

## Types

### Error

- `code` (string, optional) — The code is specific to the error
- `message` (string, optional) — The message that associated with the above error code

## Examples

**Response**

```json
{
  "code": "1",
  "message": "The Delete request has been done successfully for the following 1Z tracking Number- 1Z9991450419000046 "
}
```

**SDK Code**

```python WeDeleteResponseSummary
import requests

url = "https://wwwcie.ups.com/api/ship/v1/child-shipment/shipment-gccn/tracking-number"

headers = {
    "transId": "4ce27ff5-8e17-4797-a8c1-089796db",
    "transactionSrc": "SAM",
    "Authorization": "Bearer <token>"
}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript WeDeleteResponseSummary
const url = 'https://wwwcie.ups.com/api/ship/v1/child-shipment/shipment-gccn/tracking-number';
const options = {
  method: 'DELETE',
  headers: {
    transId: '4ce27ff5-8e17-4797-a8c1-089796db',
    transactionSrc: 'SAM',
    Authorization: 'Bearer <token>'
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go WeDeleteResponseSummary
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://wwwcie.ups.com/api/ship/v1/child-shipment/shipment-gccn/tracking-number"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("transId", "4ce27ff5-8e17-4797-a8c1-089796db")
	req.Header.Add("transactionSrc", "SAM")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby WeDeleteResponseSummary
require 'uri'
require 'net/http'

url = URI("https://wwwcie.ups.com/api/ship/v1/child-shipment/shipment-gccn/tracking-number")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["transId"] = '4ce27ff5-8e17-4797-a8c1-089796db'
request["transactionSrc"] = 'SAM'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java WeDeleteResponseSummary
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://wwwcie.ups.com/api/ship/v1/child-shipment/shipment-gccn/tracking-number")
  .header("transId", "4ce27ff5-8e17-4797-a8c1-089796db")
  .header("transactionSrc", "SAM")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php WeDeleteResponseSummary
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://wwwcie.ups.com/api/ship/v1/child-shipment/shipment-gccn/tracking-number', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'transId' => '4ce27ff5-8e17-4797-a8c1-089796db',
    'transactionSrc' => 'SAM',
  ],
]);

echo $response->getBody();
```

```csharp WeDeleteResponseSummary
using RestSharp;

var client = new RestClient("https://wwwcie.ups.com/api/ship/v1/child-shipment/shipment-gccn/tracking-number");
var request = new RestRequest(Method.DELETE);
request.AddHeader("transId", "4ce27ff5-8e17-4797-a8c1-089796db");
request.AddHeader("transactionSrc", "SAM");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift WeDeleteResponseSummary
import Foundation

let headers = [
  "transId": "4ce27ff5-8e17-4797-a8c1-089796db",
  "transactionSrc": "SAM",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://wwwcie.ups.com/api/ship/v1/child-shipment/shipment-gccn/tracking-number")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```